REST APIRegistered domains
Update a customer-managed DNS record
Authorization
ApiKey x-api-key<token>
Workspace-owned API key with per-resource permissions.
In: header
Path Parameters
name*string
Length
1 <= lengthrecordId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
record*
idempotencyKey?string
Length
1 <= length <= 128Response Body
application/json
curl -X PATCH "https://example.com/domains/string/dns-records/string" \ -H "Content-Type: application/json" \ -d '{ "record": { "type": "A", "name": "string", "content": "string" } }'{ "type": "A", "name": "string", "content": "string", "ttl": 1, "comment": "string", "priority": 0, "flags": 0, "tag": "issue", "weight": 0, "port": 0, "id": "string", "proxied": true, "managedBy": "customer", "managedReason": "string"}